Bug 1028438 - [PATCH][RFE] allow mockchain to pass options to mock
[PATCH][RFE] allow mockchain to pass options to mock
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mock (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Suchý
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1054086
  Show dependency treegraph
 
Reported: 2013-11-08 07:55 EST by Miroslav Suchý
Modified: 2014-10-10 12:04 EDT (History)
4 users (show)

See Also:
Fixed In Version: mock-1.1.41-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-01 18:22:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch implementing this feature (2.66 KB, patch)
2013-11-08 07:55 EST, Miroslav Suchý
no flags Details | Diff

  None (edit)
Description Miroslav Suchý 2013-11-08 07:55:12 EST
Created attachment 821602 [details]
patch implementing this feature

I use mockchain and i need to pass some parameters directly to mock. To be specific, I need to pass --define.

See attached patch which implements it.
Comment 1 Fedora Update System 2013-11-19 10:04:06 EST
glacier-cli-0-7.20131113gite8a2536.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/glacier-cli-0-7.20131113gite8a2536.el6
Comment 2 Fedora Update System 2013-11-19 10:04:49 EST
glacier-cli-0-7.20131113gite8a2536.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/glacier-cli-0-7.20131113gite8a2536.fc20
Comment 3 Miroslav Suchý 2013-11-19 10:07:12 EST
Sorry for previous comments. I used incorrect BZ number in bodhi. I fixed that already.
Comment 4 Miroslav Suchý 2014-05-16 03:43:02 EDT
Fixed in 6682746fcfd80034a5d6d70207d720b818899834
Comment 5 Fedora Update System 2014-05-27 11:39:28 EDT
mock-1.1.39-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.39-1.fc19
Comment 6 Fedora Update System 2014-05-27 11:39:45 EDT
mock-1.1.39-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.39-1.el6
Comment 7 Fedora Update System 2014-05-27 11:40:02 EDT
mock-1.1.39-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.1.39-1.fc20
Comment 8 Fedora Update System 2014-05-27 15:11:58 EDT
Package mock-1.1.39-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mock-1.1.39-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-1506/mock-1.1.39-1.el6
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2014-06-01 18:22:48 EDT
mock-1.1.39-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2014-06-25 16:00:07 EDT
mock-1.1.39-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2014-07-17 22:13:26 EDT
mock-1.1.40-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.1.40-2.fc20
Comment 12 Fedora Update System 2014-07-17 22:13:52 EDT
mock-1.1.40-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.40-2.fc19
Comment 13 Fedora Update System 2014-07-17 22:14:14 EDT
mock-1.1.40-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.40-2.el6
Comment 14 Fedora Update System 2014-07-18 13:45:34 EDT
mock-1.1.41-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.1.41-1.fc20
Comment 15 Fedora Update System 2014-07-18 13:46:00 EDT
mock-1.1.41-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.41-1.fc19
Comment 16 Fedora Update System 2014-07-18 13:46:25 EDT
mock-1.1.41-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.41-1.el6
Comment 17 Fedora Update System 2014-07-19 23:24:44 EDT
mock-1.1.41-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2014-07-22 14:08:03 EDT
mock-1.1.41-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2014-09-16 12:47:02 EDT
mock-1.1.41-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.41-2.fc19
Comment 20 Fedora Update System 2014-09-30 05:00:17 EDT
mock-1.1.41-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.41-3.fc19
Comment 21 Fedora Update System 2014-10-10 12:04:27 EDT
mock-1.1.41-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.